++++++++++++++++++++++++ Updated September 17th +++++++++++++++++++++++++++++++++

Dear All,

During the final round of testing of SAP BusinessObjects Mobile on IOS 7 GM we have observed the following issue:

After upgrading to  IOS 7,  you may experience an abnormal exit of the application while accessing some previously downloaded documents.

We are actively working with Apple to release a patch of Mobi as soon as possible. This patch has been necessitated because of a change in the implementation of one of the system APIs in latest builds of IOS 7.

We strongly urge users to first upgrade to this MOBI patch (5.0.7) before upgrading to IOS 7.

In case you upgrade to IOS 7 before the MoBI patch is released, you can overcome this issue by re-downloading the document (that causes any crashes) on the device.

Do reach out to us if you have any questions/concerns. We shall keep you posted on the availability of the patch in the appstore.

Regards

Srikanth

+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

*****************************************************Updated Sep 12th *****************************************************

We tested our AppStore app (version 5.0.6) with the GM image of iOS7 that was made available yesterday and we confirm that there are no functional issue. Only couple of UI issues remain

1. Activity indicator is not seen

2. The logon popover is changed

We will be releasing a patch to fix these issues by end of September.

In summary, with the GM version of IOS 7, if the customers upgrade to IOS 7, MoBI will continue to work seamlessly with a couple of UI glitches that are not obvious and non-blocking.

Regards

Srikanth

*************************************************************************************************************************************

Hello All,

We are actively working on a patch update for SAP BusinessObjects Mobile to make it iOS7 compliant. The scheduled release date for this patch is end of September, 2013. With the current version of the app, if you upgrade your device (iPad/iPhone) to iOS7, you will encounter some visual discrepancies in certain workflows. This is primarily due to the new visual design language that has Apple has introduced with iOS7.

 

Here is the brief summary of the issues that you will encounter:

1. Status bar of the iPad will overlap with the app tool bar
2. Visual defects in the connection popover, the prompt windows and activity indicators
3. Data alignment issues in some of the screens (connections, settings)

 

We will fix the issues in the next release of SAP BusinessObjects Mobile scheduled for last week of September.

We have created an SAP note for the same: 1910923

To access an SAP Note, navigate to service.sap.com/notes, and enter the SAP Note number in the “Number” field

Regards

Srikanth

To report this post you need to login first.

11 Comments

You must be Logged on to comment or reply to a post.

  1. Sahil Gupta

    Hi Srikanth,

    Need your assistance in one of the dashboard issue that we are facing in ipad, PFB description.

     

    We are able to launch the  dashboards on iPAD 2 running on ios 6.

    When we want to launch dashboards on iPAD 4 running on ios 7 we get a error ” Insufficient Memory – There are too many components or too many data “.

    Plese provide us a workaround at earliest, that will be very helpful.

    Thanks in advance.

    sahil gupta.

    (0) 
    1. Sajjad Muhammed

      Hi

      I am also facing a similar problem as stated by Sahil. Dashboards working fine with iOS 6, started throwing “Out of memory….” error on iOS7. We use iPad 3 & above.

      Regards

      Sajjad

      (0) 
      1. Srikanth R Rao K Post author

        We have identified the root cause, which is the behavior change in IOS7 and plan to deliver fix on the Dashboard designer client plus mobi client.

        1. Client side fix will  be provided as part of Feb release.

        2. Dashboard desinger client update will be avaialble with the following releases.

        ·  

        BI BI 4.1 SP02 Patch 2

        ·   BI 4.0 SP06 Patch 12

        ·   BI 4.1 SP03

        fdf

        (0) 
        1. Tony Tony

          hi,

          im having the same issue -was an OSS note  issued for this ? does it require an update of the App to 5.1.8.11 ?

          thanks

          Tony

          (0) 
  2. Ajay Gupta

    Srikanth,

           We are having issues in getting SAP BI 5.1.8 working with XI 3.1 w/ SP6.  Our IOS is still on ver 6.   The work around we found is deploy Mobile WARs from SP5.  Any reason what XI 3.1 w/ SP6 NOT supported.  We get error MOB07002 or MOB07008 related error’s.

    Also finding issue supporting Alerts & Images under XI 3.1 w/ SP5, is this expected.  The same logic works fine under BI 4.0 & BI 4.1

    Regards,

    Ajay Gupta

    (0) 

Leave a Reply